from gpiozero import LED
import time

# Deklaration der LEDs an ihren entsprechenden GPIO-Pins
led_rot = LED(25)
led_gruen = LED(24)
led_blau = LED(23)

print("LED-Test [drücken Sie STRG+C, um den Test zu beenden]")

# Hauptprogrammschleife
try:
    while True:
        print("LED ROT 3 Sekunden an")
        led_rot.on()
        led_gruen.off()
        led_blau.off()
        time.sleep(3)  # Wartemodus für 3 Sekunden

        print("LED GRUEN 3 Sekunden an")
        led_rot.off()
        led_gruen.on()
        led_blau.off()
        time.sleep(3)  # Wartemodus für 3 Sekunden

        print("LED BLAU 3 Sekunden an")
        led_rot.off()
        led_gruen.off()
        led_blau.on()
        time.sleep(3)  # Wartemodus für 3 Sekunden

# Aufraeumarbeiten nachdem das Programm beendet wurde
except KeyboardInterrupt:
    print("Programm beendet durch Benutzer")
    # gpiozero kümmert sich automatisch um die Bereinigung beim Programmende